GSTR-1A ECOMA
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/ecoma/{year}/{month} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/ecoma/{year}/{month}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/ecoma/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1763446641000,
"transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
"data": {
"status_cd": "1",
"data": {
"ecoma": {
"b2ba": [
{
"inv": [
{
"val": 445677,
"itms": [
{
"num": 100,
"itm_det": {
"rt": 1,
"txval": 8456,
"iamt": 84.56
}
}
],
"oinum": "DE-1",
"flag": "N",
"inum": "de-amd-1",
"inv_typ": "DE",
"pos": "32",
"idt": "08-03-2023",
"oidt": "12-03-2023",
"sply_ty": "INTER",
"chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
}
],
"rtin": "32KLJIP1179C1ZF",
"stin": "33CBCHE8993D1Z5"
},
{
"inv": [
{
"val": 7654654,
"itms": [
{
"num": 300,
"itm_det": {
"rt": 3,
"txval": 4567,
"iamt": 137.01
}
}
],
"oinum": "test",
"flag": "N",
"inum": "Test-Amend",
"inv_typ": "SEWP",
"pos": "07",
"idt": "02-03-2023",
"oidt": "21-03-2023",
"sply_ty": "INTER",
"chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
},
{
"val": 13567,
"itms": [
{
"num": 100,
"itm_det": {
"rt": 1,
"txval": 14300,
"iamt": 0,
"camt": 137.01,
"samt": 137.01,
"csamt": 137.01
}
}
],
"oinum": "test-2",
"flag": "N",
"inum": "sezwp-amd",
"inv_typ": "SEWOP",
"pos": "37",
"idt": "19-03-2023",
"oidt": "21-03-2023",
"sply_ty": "INTER",
"chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
}
],
"rtin": "32KLJIP1179C1ZF",
"stin": "33CBCHE8993D1Z5"
},
{
"inv": [
{
"val": 345678,
"itms": [
{
"num": 100,
"itm_det": {
"rt": 1,
"txval": 65467,
"iamt": 654.67
}
}
],
"oinum": "test-1",
"flag": "N",
"inum": "test-amd-1",
"inv_typ": "R",
"pos": "37",
"idt": "14-03-2023",
"oidt": "15-03-2023",
"sply_ty": "INTER",
"chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
}
],
"rtin": "32KLJIP1179C1ZF",
"stin": "33CBCHE8993D1Z5"
}
],
"b2ca": [
{
"pos": "07",
"posItms": [
{
"flag": "N",
"omon": "062022",
"sply_ty": "INTER",
"stin": "33CBCHE8993D1Z5",
"chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66",
"itms": [
{
"csamt": 0,
"samt": 0,
"rt": 1.5,
"txval": 34353,
"camt": 0,
"iamt": 515.29
},
{
"csamt": 0,
"samt": 0,
"rt": 2,
"txval": 34353,
"camt": 0,
"iamt": 515.29
}
]
}
]
}
],
"urp2ba": [
{
"inv": [
{
"val": 98765434,
"itms": [
{
"num": 150,
"itm_det": {
"rt": 1.5,
"txval": 7865,
"iamt": 117.98
}
}
],
"oinum": "b2cl/test/1",
"flag": "N",
"idt": "10-06-2022",
"inum": "b2cl/test/amd/1",
"oidt": "17-06-2022",
"pos": "24",
"sply_ty": "INTER",
"inv_typ": "R",
"chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
}
],
"rtin": "32KLJIP1179C1ZF"
}
],
"urp2ca": [
{
"itms": [
{
"csamt": 0,
"samt": 0,
"rt": 1.5,
"txval": 34353,
"camt": 0,
"iamt": 515.29
}
],
"flag": "N",
"pos": "07",
"omon": "062022",
"sply_ty": "INTER",
"chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
}
]
}
}
}
}GSTR-1A ECOMA
This API is to get ECOMA Details
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
ecoma
/
{year}
/
{month}
GSTR-1A ECOMA
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.
Compliance API version.
API key for identification.
Path Parameters
Return year, for example 2025.
Return month, for example 04.
Query Parameters
Optional recipient GSTIN filter.
Optional subsection filter.
Response
200 - application/json
Success
The response is of type object.
Was this page helpful?
āI